• コミュニティ内すべて
    • コミュニティ内すべて
    • フォーラム
    • 提案
    • ブログ
高度
拍手2 Stats

Community.Norton.Ja: TLS 1.0 および 1.1 サポート終了のお知らせ

20181122日付にて、ノートンコミュニティフォーラム(https://community.norton.com/ja)のウェブサイトは古いバージョンのブラウザTLS 1.0 およびTLS 1.1の暗号化プロトコルのサポートを終了いたします。

TLSとはなんですか。

TLS (Transport Layer Security)とは、 TCP/IPを使ったさまざまなサーバとクライアントの通信で、 セキュアなチャンネル(通信路)を利用できるようにする仕組みです。 TLSはアプリケーション・プロトコルとは独立していて、 HTTP (Hyper Text Transfer Protocol)やSMTP (Simple Mail Transfer Protocol)、 IMAP (Internet Message Access Protocol)といった、 いろいろなプロトコルで利用できるようになっています。

以前はSSL (Secure Sockets Layer)と呼ばれていましたが、 IETFでRFC2246*1として標準化される際に、 名称を変更してTLSと呼ばれるようになりました。 ただ、現在でも「SSL/TLS」と呼称されたり、「SSLサーバ証明書」などのように、 「TLS」を省いて呼称されたりすることもあります。

SSLは、Webのビジネス利用が注目され始めた1994年に開発されたもので、 開発当時は通信データのプライバシー保護に主眼が置かれていました。

TLSが提供するセキュアなチャンネルでは、

  • 通信データを暗号化することで盗聴しても内容が分からないようにする
  • 通信データが伝送される途中で改ざんされた時にそれを検出する
  • 通信相手が正しいということを確認できる

という、三つの機能を提供します。 ただし、3.はTLSプロトコルそのものではなく、TLSで使用する電子証明書に含まれる公開鍵と、 電子証明書の有効性のチェックを併用することで行われます。

脆弱性のあるプロトコルや、強度が低くなったアルゴリズムの利用を避けるために、 SSLについてはすべてのバージョンが、 TLSについてはバージョン1.0および1.1の利用が推奨されなくなっています*2。 2018年6月時点で最新のバージョンであるTLS1.3では、 サーバーとクライアントの双方が利用する暗号アルゴリズムなどを決めるためのやり取りである、 ハンドシェイクを改善し、接続の高速化を図る0-RTTや、 通信データが将来解読されてしまうのを防ぐPFS (Perfect Forward Secrecy)を必須化する、 といった改良が行われています。

これらの詳細は、ウェブブラウザにおけるTLS/SSLの対応状況の変化(link is external)およびTransport Layer Security(トランスポート・レイヤー・セキュリティ、TLS)(link is external)をご参照ください。

どのような影響を及ぼしますか?

TLS 1.0 および TLS 1.1が無効になり、もしお客様のブラウザが1121日以降にTLS 1.2もしくは以上をお持ちでない場合は、ノートンコミュニティフォーラムのウェブサイトhttps://community.norton.com/ja上のコンテンツにアクセスしていただけなくなります。

 

ノートンコミュニティフォーラムのお客様にしていただくことは?

もしお客様が最新バージョンのブラウザをご利用の場合は、何もしていただく必要がございません。こちらのサイト(英語版)よりブラウザTLS 1.2プロトコルの評価をご確認いただけます。ブラウザバージョンTLS 1.2以上をお持ちでないノートンコミュニティフォーラムのお客様は、フォラムウェブサイト(https://community.norton.com/ja)を必ずアクセスしてください。

  • Internet Explorer(インターネットエクスプローラー)バージョン 11 もしくはそれ以外(TLS1.2 を有効化するには、お客様の方でIE 9 &およびIE 10の設定をしていただく必要がございます。)
  • Google Chrome バージョン 30 もしくは以上
  • Mozilla Firefox もしくは以上
  • Safari 7 もしくは以上

携帯電話等をお使いのお客様:

携帯電話等からノートンコミュニティフォーラムをご利用のお客様は、下記をご覧ください。

Google Android version 4.1 もしくは以上

iOS 5.1 もしくは以上

Windows Phone 8.1 もしくは以上
もしご不明な点がございましたら、フォラムフィードバック掲示板より投稿してくださいますようよろしくお願いいたします。